/* acf.h -- access control file structure and limits
 *
 * $Id: acf.h,v 1.3 1998/04/24 14:24:18 ccarp Exp $
 * 
 * runas - execute a single command as a different user and/or group
 * Copyright (C) 1998 Chris Carpinello
 *
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 * Send all bugs, changes, and problems to the maintainer listed in
 * "runas --info" output.
 */

/* maximum hostname length */
#ifdef MAX_MACHINELEN
#define MAXHOSTNAMELEN MAX_MACHINELEN
#else
#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 255      /* RFC 1123: min 63, max 255 */
#endif
#endif

/* maximum domainname length */

#ifdef MAXDNAME
#define MAXDOMAINNAMELEN MAXDNAME
#else
#define MAXDOMAINNAMELEN 255
#endif

/*
 * access list format
 */

typedef struct al {
  char name[MAXUSERNAMESIZE]; /* login name */
  struct al *next;           /* next user entry in access list */
} alist;

/*
 * access control file format
 */

typedef struct af {
  char *mnemonic;                  /* basename                               */
  char *absolute;                  /* absolute pathname                      */
  char runuid[MAXUSERNAMESIZE];   /* uid or uname to run process as         */
  char rungid[MAXGROUPNAMESIZE];  /* gid or gname to run process as         */
  int argv;                        /* are cmdline arguments passed through?  */
  int reason;                      /* ask for a reason before executing      */
  alist *users;                    /* users in the access list               */
  struct af *next;                 /* pointer to next acf entry              */
} accessentry;

/* end acf.h */
