/* extern.h -- external variables 
 *
 * $Id: extern.h,v 1.6 1998/10/26 22:16:49 ccarp Exp $
 * 
 * runas - execute a single command as a different user and/or group
 * Copyright (C) 1998 Chris Carpinello
 *
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 * Send all bugs, changes, and problems to the maintainer listed in
 * "runas --info" output.
 */

/*
 * Global Variables
 */
extern char **environ;              /* user environment                     */
extern char error[ERRORSIZE];       /* buffer used to format error messages */
extern size_t maxpathlen;           /* minimum supported path length        */
extern char *label;                 /* the name runas is invoked as         */
extern BOOLEAN which_command;
#if (USE_SYSLOG == 1)
extern char *tty;                   /* Current tty in use                   */
extern char *ttymalloc;             /* Malloc()'d space for *tty            */
extern char *syslog_buf;            /* Syslog format buffer                 */
extern uid_t Ok_Folks[];
#endif /* USE_SYSLOG */ 
#if (USE_ACF == TRUE) && (USE_SYSLOG == TRUE)
extern char reason[MAXREASONSIZE];  /* "Reason:" answer */
#endif /* USE_ACF && USE_SYSLOG */
#if (USE_ACF == TRUE)
extern accessentry *accesscf;       /* Access control file entries          */
#endif /* USE_ACF */
#if (EXEC_ONLY_ADMIN_OWNED_FILES == TRUE)
extern char *ownedby[];
#endif /* EXEC_ONLY_ADMIN_OWNED_FILES */
/* end extern.h */
