/* syslogconf.c -- print suitable runas entries for syslog.conf
 *
 * $Id: syslogconf.c,v 1.3 1998/04/24 14:24:18 ccarp Exp $
 * 
 * runas - execute a single command as a different user and/or group
 * Copyright (C) 1998 Chris Carpinello
 *
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 * Send all bugs, changes, and problems to the maintainer listed in
 * "runas --info" output.
 */

#include <stdio.h>
#if (HAVE_SYSLOG_H == 1)
#include <syslog.h>
#else 
#include <sys/syslog.h>
#endif /* HAVE_SYSLOG_H */

#include "log.h"

int main(int argc, char **argv)
{
#ifdef LOG_AUTHPRIV
  (void) printf("authpriv.notice\t\t\t%s/runas\n", SYSLOG_DIR);
  (void) printf("authpriv.alert\t\t\t%s/runas\n", SYSLOG_DIR);
#else
  (void) printf("auth.notice\t\t\t%s/runas\n", SYSLOG_DIR);
  (void) printf("auth.alert\t\t\t%s/runas\n", SYSLOG_DIR);
#endif
  return(0);
}
